View Issue Details

IDProjectCategoryView StatusLast Update
0003215OpenFOAMBugpublic2019-04-06 00:26
ReporterjiahuiAssigned Towyldckat 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionno change required 
PlatformUbunty-kylin18OSOtherOS Version(please specify)
Product Version6 
Fixed in Version 
Summary0003215: crash on my modification interFoam with#0 Foam::error::printStack(Foam::Ostream&) at ??:?
DescriptionHello
I am trying to model a multi phase flow reacting transport in porous media. So based on InterFoam, I add a concentration equation
fvScalarMatrix YiEqn
  (
             fvm::ddt(pro, rho, Yi) //alpha into pro
             + fvm::div(rhoPhi, Yi)
            - fvm::laplacian
           (diffEff*rho,
            Yi)
            - fvm::Sp
           (diffEff*addFlux*rho*mag(fvc::grad(alpha1)), Yi)
              ==
               -fvm::Sp(massTransferCoeff, Yi)
   );
 
and mass equation.
fvScalarMatrix MassEqn
(
    fvm::ddt(rhoS, proS)
    ==
    massTransferRateLA()*gammaS
);
I also add some source term in phase equation and momentum equation.
It is okay to compile it (wmake).
But when I run a tutorial, it shows like this
/*---------------------------------------------------------------------------*\
  ========= |
  \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
   \\ / O peration | Website: https://openfoam.org
    \\ / A nd | Version: 6
     \\/ M anipulation |
\*---------------------------------------------------------------------------*/
Build : 6
Exec : porousMediaMultiphaseReactingFoam
Date : Apr 05 2019
Time : 15:15:09
Host : "yjh-Inspiron-7548"
PID : 23596
I/O : uncollated
Case : /home/yjh/OpenFOAM/yjh-6/run/porousMediaMultiphaseReactingFoam
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster (fileModificationSkew 10)
allowSystemOperations : Allowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Create mesh for time = 0


PIMPLE: Convergence criteria found
        alpha1: tolerance 0.001
        p_rgh: tolerance 0.0001
        Yi: tolerance 0.001
        U: tolerance 0.001
        porosity: tolerance 0.001


PIMPLE: Operating solver in PISO mode

No MRF models present

No finite volume options present
Reading field Pro

Reading field ProS

Reading field volume fraction

Reading field volume fraction

#0 Foam::error::printStack(Foam::Ostream&) at ??:?
#1 Foam::sigSegv::sigHandler(int) at ??:?
#2 ? in "/lib/x86_64-linux-gnu/libc.so.6"
#3 Foam::objectRegistry::getEvent() const at ??:?
#4 Foam::regIOobject::regIOobject(Foam::IOobject const&, bool) at ??:?
#5 Foam::DimensionedField<double, Foam::volMesh>::DimensionedField(Foam::IOobject const&, Foam::fvMesh const&, Foam::dimensionSet const&, bool) in "/home/yjh/OpenFOAM/yjh-6/platforms/linux64GccDPInt32Opt/bin/porousMediaMultiphaseReactingFoam"
#6 Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>::GeometricField(Foam::IOobject const&, Foam::fvMesh const&, Foam::dimensionSet const&, Foam::word const&) in "/home/yjh/OpenFOAM/yjh-6/platforms/linux64GccDPInt32Opt/bin/porousMediaMultiphaseReactingFoam"
#7 Foam::tmp<Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> > Foam::operator-<Foam::fvPatchField, Foam::volMesh>(Foam::dimensioned<double> const&, Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh> const&) in "/home/yjh/OpenFOAM/yjh-6/platforms/linux64GccDPInt32Opt/bin/porousMediaMultiphaseReactingFoam"
#8 ? in "/home/yjh/OpenFOAM/yjh-6/platforms/linux64GccDPInt32Opt/bin/porousMediaMultiphaseReactingFoam"
#9 ? in "/home/yjh/OpenFOAM/yjh-6/platforms/linux64GccDPInt32Opt/bin/porousMediaMultiphaseReactingFoam"
#10 __libc_start_main in "/lib/x86_64-linux-gnu/libc.so.6"
#11 ? in "/home/yjh/OpenFOAM/yjh-6/platforms/linux64GccDPInt32Opt/bin/porousMediaMultiphaseReactingFoam"
can anyone help me how to fix it and make it run.
I attached tutorial document
Steps To Reproducecan compile (wmake)
TagsNo tags attached.

Activities

jiahui

2019-04-05 23:04

reporter  

porousMediaMultiphaseReactingFoam.tar.gz (2,689 bytes)

wyldckat

2019-04-06 00:25

updater   ~0010417

Did you even read the rules page? Namely this one: https://bugs.openfoam.org/rules.php ?
It's right there in the first few lines:

   An Issue does not mean "error in the use of OpenFOAM".
   This site does not provide free support for the use of OpenFOAM.
   Reports that indicate a significant possibility of user error will be closed or deleted.

I'm closing this as a user support request...

Issue History

Date Modified Username Field Change
2019-04-05 23:04 jiahui New Issue
2019-04-05 23:04 jiahui File Added: porousMediaMultiphaseReactingFoam.tar.gz
2019-04-06 00:25 wyldckat Note Added: 0010417
2019-04-06 00:26 wyldckat Assigned To => wyldckat
2019-04-06 00:26 wyldckat Status new => closed
2019-04-06 00:26 wyldckat Resolution open => no change required